Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.deployment.application
Class ApplicationXmlTag

    java.lang.Object
      org.apache.cactus.integration.ant.deployment.application.ApplicationXmlTag

public final class ApplicationXmlTag
extends java.lang.Object

Represents the various top-level tags in a enterprise application deployment descriptor as a typesafe enumeration.

Since:
  Cactus 1.5
Version:
  $Id: ApplicationXmlTag.java 239141 2005-02-15 10:31:44Z vmassol $

Field Summary
`static ApplicationXmlTag` | `CONTEXT_ROOT` Element name 'context-root',
`static ApplicationXmlTag` | `DESCRIPTION` Element name 'description'.
`static ApplicationXmlTag` | `DISPLAY_NAME` Element name 'display-name'.
`static ApplicationXmlTag` | `ICON` Element name 'icon'.
`static ApplicationXmlTag` | `MODULE` Element name 'module'.
`static ApplicationXmlTag` | `SECURITY_ROLE` Element name 'security-role',
`static ApplicationXmlTag` | `WEB` Element name 'web',
`static ApplicationXmlTag` | `WEB_URI` Element name 'web-uri',

Method Summary
`boolean` | `equals(java.lang.Object theOther)`
`java.lang.String` | `getTagName()` Returns the tag name.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ICON

    public static final ApplicationXmlTag ICON

  Element name 'icon'.

### DISPLAY_NAME

    public static final ApplicationXmlTag DISPLAY_NAME

  Element name 'display-name'.

### DESCRIPTION

    public static final ApplicationXmlTag DESCRIPTION

  Element name 'description'.

### MODULE

    public static final ApplicationXmlTag MODULE

  Element name 'module'.

### WEB

    public static final ApplicationXmlTag WEB

  Element name 'web',

### WEB_URI

    public static final ApplicationXmlTag WEB_URI

  Element name 'web-uri',

### CONTEXT_ROOT

    public static final ApplicationXmlTag CONTEXT_ROOT

  Element name 'context-root',

### SECURITY_ROLE

    public static final ApplicationXmlTag SECURITY_ROLE

  Element name 'security-role',

Method Detail

### equals

    public boolean equals(java.lang.Object theOther)

  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  See Also:
    `Object.hashCode()`

### getTagName

    public java.lang.String getTagName()

  Returns the tag name.

  Returns:
    The tag name

### toString

    public java.lang.String toString()

  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.